#define BEEP_TIMER TIM17

volatile u32 beep_tim;

static inline void beep(int frq=3000, int mst = 20)
{
 BEEP_TIMER->PSC   = 0;
 BEEP_TIMER->ARR   = (SYSTEM_FRQ/8/frq-1)/2;
 BEEP_TIMER->CCR1  = BEEP_TIMER->ARR;
 BEEP_TIMER->CCMR1 = toggle_on_match;
 BEEP_TIMER->CCER  = TIM_CCER_CC1E;
 BEEP_TIMER->BDTR  = TIM_BDTR_MOE;
 BEEP_TIMER->EGR   = TIM_EGR_UG;
 BEEP_TIMER->CR1   = TIM_CR1_CEN;

 beep_tim = mst;
}

static inline void beep_processing(void)
{
 if(beep_tim) beep_tim--;
 else
 {
  BEEP_TIMER->CR1   = 0;
  BEEP_TIMER->CCMR1 = force_inactive;
 }
}